## Package org.hibernate.hql.internal.antlr

Interface Summary
HqlSqlTokenTypes
HqlTokenTypes
SqlStatementParserTokenTypes
SqlTokenTypes

Class Summary
HqlBaseLexer: Hibernate Query Language Lexer This lexer provides the HQL parser with tokens.
HqlBaseParser: Hibernate Query Language Grammar This grammar parses the query language for Hibernate (an Open Source, Object-Relational mapping library).
HqlSqlBaseWalker: Hibernate Query Language to SQL Tree Transform. This is a tree grammar that transforms an HQL AST into a intermediate SQL AST with bindings to Hibernate interfaces (Queryable, etc.).
SqlGeneratorBase: SQL Generator Tree Parser, providing SQL rendering of SQL ASTs produced by the previous phase, HqlSqlWalker.
SqlStatementLexer
SqlStatementParser: Lexer and parser used to extract single statements from import SQL script.

Exception Summary

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.